/*
PAYMENTS API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package paymentsapi

import (
	"encoding/json"
)

// checks if the CreatePaymentLinkWebhook type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CreatePaymentLinkWebhook{}

// CreatePaymentLinkWebhook struct for CreatePaymentLinkWebhook
type CreatePaymentLinkWebhook struct {
	TransactionId string `json:"transaction_id"`
	ChannelId string `json:"channel_id"`
	ConversationId string `json:"conversation_id"`
	ContactId string `json:"contact_id"`
	Attributes map[string]interface{} `json:"attributes,omitempty"`
	PaymentLink string `json:"payment_link"`
	PaymentId string `json:"payment_id"`
}

// NewCreatePaymentLinkWebhook instantiates a new CreatePaymentLinkWebhook object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCreatePaymentLinkWebhook(transactionId string, channelId string, conversationId string, contactId string, paymentLink string, paymentId string) *CreatePaymentLinkWebhook {
	this := CreatePaymentLinkWebhook{}
	this.TransactionId = transactionId
	this.ChannelId = channelId
	this.ConversationId = conversationId
	this.ContactId = contactId
	this.PaymentLink = paymentLink
	this.PaymentId = paymentId
	return &this
}

// NewCreatePaymentLinkWebhookWithDefaults instantiates a new CreatePaymentLinkWebhook object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCreatePaymentLinkWebhookWithDefaults() *CreatePaymentLinkWebhook {
	this := CreatePaymentLinkWebhook{}
	return &this
}

// GetTransactionId returns the TransactionId field value
func (o *CreatePaymentLinkWebhook) GetTransactionId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.TransactionId
}

// GetTransactionIdOk returns a tuple with the TransactionId field value
// and a boolean to check if the value has been set.
func (o *CreatePaymentLinkWebhook) GetTransactionIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.TransactionId, true
}

// SetTransactionId sets field value
func (o *CreatePaymentLinkWebhook) SetTransactionId(v string) {
	o.TransactionId = v
}

// GetChannelId returns the ChannelId field value
func (o *CreatePaymentLinkWebhook) GetChannelId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ChannelId
}

// GetChannelIdOk returns a tuple with the ChannelId field value
// and a boolean to check if the value has been set.
func (o *CreatePaymentLinkWebhook) GetChannelIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ChannelId, true
}

// SetChannelId sets field value
func (o *CreatePaymentLinkWebhook) SetChannelId(v string) {
	o.ChannelId = v
}

// GetConversationId returns the ConversationId field value
func (o *CreatePaymentLinkWebhook) GetConversationId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ConversationId
}

// GetConversationIdOk returns a tuple with the ConversationId field value
// and a boolean to check if the value has been set.
func (o *CreatePaymentLinkWebhook) GetConversationIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ConversationId, true
}

// SetConversationId sets field value
func (o *CreatePaymentLinkWebhook) SetConversationId(v string) {
	o.ConversationId = v
}

// GetContactId returns the ContactId field value
func (o *CreatePaymentLinkWebhook) GetContactId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.ContactId
}

// GetContactIdOk returns a tuple with the ContactId field value
// and a boolean to check if the value has been set.
func (o *CreatePaymentLinkWebhook) GetContactIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ContactId, true
}

// SetContactId sets field value
func (o *CreatePaymentLinkWebhook) SetContactId(v string) {
	o.ContactId = v
}

// GetAttributes returns the Attributes field value if set, zero value otherwise.
func (o *CreatePaymentLinkWebhook) GetAttributes() map[string]interface{} {
	if o == nil || IsNil(o.Attributes) {
		var ret map[string]interface{}
		return ret
	}
	return o.Attributes
}

// GetAttributesOk returns a tuple with the Attributes field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreatePaymentLinkWebhook) GetAttributesOk() (map[string]interface{}, bool) {
	if o == nil || IsNil(o.Attributes) {
		return map[string]interface{}{}, false
	}
	return o.Attributes, true
}

// HasAttributes returns a boolean if a field has been set.
func (o *CreatePaymentLinkWebhook) HasAttributes() bool {
	if o != nil && !IsNil(o.Attributes) {
		return true
	}

	return false
}

// SetAttributes gets a reference to the given map[string]interface{} and assigns it to the Attributes field.
func (o *CreatePaymentLinkWebhook) SetAttributes(v map[string]interface{}) {
	o.Attributes = v
}

// GetPaymentLink returns the PaymentLink field value
func (o *CreatePaymentLinkWebhook) GetPaymentLink() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.PaymentLink
}

// GetPaymentLinkOk returns a tuple with the PaymentLink field value
// and a boolean to check if the value has been set.
func (o *CreatePaymentLinkWebhook) GetPaymentLinkOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.PaymentLink, true
}

// SetPaymentLink sets field value
func (o *CreatePaymentLinkWebhook) SetPaymentLink(v string) {
	o.PaymentLink = v
}

// GetPaymentId returns the PaymentId field value
func (o *CreatePaymentLinkWebhook) GetPaymentId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.PaymentId
}

// GetPaymentIdOk returns a tuple with the PaymentId field value
// and a boolean to check if the value has been set.
func (o *CreatePaymentLinkWebhook) GetPaymentIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.PaymentId, true
}

// SetPaymentId sets field value
func (o *CreatePaymentLinkWebhook) SetPaymentId(v string) {
	o.PaymentId = v
}

func (o CreatePaymentLinkWebhook) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CreatePaymentLinkWebhook) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["transaction_id"] = o.TransactionId
	toSerialize["channel_id"] = o.ChannelId
	toSerialize["conversation_id"] = o.ConversationId
	toSerialize["contact_id"] = o.ContactId
	if !IsNil(o.Attributes) {
		toSerialize["attributes"] = o.Attributes
	}
	toSerialize["payment_link"] = o.PaymentLink
	toSerialize["payment_id"] = o.PaymentId
	return toSerialize, nil
}

type NullableCreatePaymentLinkWebhook struct {
	value *CreatePaymentLinkWebhook
	isSet bool
}

func (v NullableCreatePaymentLinkWebhook) Get() *CreatePaymentLinkWebhook {
	return v.value
}

func (v *NullableCreatePaymentLinkWebhook) Set(val *CreatePaymentLinkWebhook) {
	v.value = val
	v.isSet = true
}

func (v NullableCreatePaymentLinkWebhook) IsSet() bool {
	return v.isSet
}

func (v *NullableCreatePaymentLinkWebhook) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCreatePaymentLinkWebhook(val *CreatePaymentLinkWebhook) *NullableCreatePaymentLinkWebhook {
	return &NullableCreatePaymentLinkWebhook{value: val, isSet: true}
}

func (v NullableCreatePaymentLinkWebhook) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCreatePaymentLinkWebhook) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


